<?php get_header();?>

	<?php if ( (is_home() || is_front_page()) && (frontier_option('slider_enable') == 1) && (frontier_option('slider_position') == 'before_main') ) : ?>
		<div id="slider" class="slider-main"><?php get_template_part('slider'); ?></div>
	<?php endif; ?>

<div id="content">
	<?php do_action('frontier_before_content'); ?>

	<?php if ( is_active_sidebar('widgets_before_content') ) : ?>
		<div id="widgets-wrap-before-content"><?php dynamic_sidebar('widgets_before_content'); ?></div>
	<?php endif ; ?>

	<?php if ( (is_home() || is_front_page()) && (frontier_option('slider_enable') == 1) && (frontier_option('slider_position') == 'before_content') ) : ?>
		<div id="slider" class="slider-content"><?php get_template_part('slider'); ?></div>
	<?php endif; ?>

	<?php if ( is_category() || is_tag() || is_search() ) : ?>
		<div class="taxonomy-info">
			<h3 class="taxonomy-title">
				<?php if (is_search()) : ?>
					<?php _e( 'Searched for: ', 'frontier' ); the_search_query(); ?>
				<?php else : ?>
					<?php single_cat_title(); ?>
				<?php endif; ?>
			</h3>

			<?php if ( category_description() != '' ) : ?>
				<div class="taxonomy-description"><?php echo category_description(); ?> </div>
			<?php endif; ?>
		</div>
	<?php endif; ?>	

	<?php do_action('frontier_before_loop'); ?>

	<!-- Start the Loop -->
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<?php if ( !is_singular() ) : ?>
				<?php get_template_part('loop', 'blog'); ?>
		<?php else : ?>
				<?php get_template_part('loop', 'single'); ?>
		<?php endif; ?>

	<?php endwhile; else: ?>

		<!-- Post Not Found -->
		<div class="wrap-404-box">
			<h2><?php _e('Search Results: Nothing Found', 'frontier'); ?></h2>
			<p><?php _e('Try a new keyword.', 'frontier'); ?></p>
			<?php get_search_form(); ?>
		</div>

	<!-- End Loop -->
	<?php endif; ?>

	<?php do_action('frontier_after_loop'); ?>

	<!-- Bottom Post Navigation -->
	<?php if ( !is_singular() ) : ?>

		<div id="blog-pagination">
			<!-- wp-pagenavi support -->
			<?php if ( function_exists('wp_pagenavi') ):?>
				<?php wp_pagenavi(); ?>
			<?php else : ?>
				<div class="link-prev"><?php next_posts_link( __( '&laquo; Older posts', 'frontier' ) ); ?></div>
				<div class="link-next"><?php previous_posts_link( __( 'Newer posts &raquo;', 'frontier' ) ); ?></div>
			<?php endif; ?>
		</div>

	<?php endif; ?>

	<?php do_action('frontier_after_content'); ?>
</div>

<?php
switch ( frontier_option('column_layout') ) {
	case 'col-sc' :
		get_sidebar('left');
		break;

	case 'col-cs' :
		get_sidebar('right');
		break;
	
	case 'col-ssc' :
	case 'col-scs' :
	case 'col-css' :
		get_sidebar('left');
		get_sidebar('right');	
		break;
}
?>
<?php get_footer(); ?>