<?php do_action('frontier_before_single_post'); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class('single-view'); ?>>
<?php do_action('frontier_before_post'); ?>

<?php if ( is_active_sidebar('widgets_before_post') ) : ?><div id="widgets-wrap-before-post"><?php dynamic_sidebar('widgets_before_post'); ?></div><?php endif ; ?>

<header class="entry-header">
	<h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php echo the_title(); ?></a></h1>
</header>

<div class="entry-byline">
	<?php 
		$post_elements = frontier_option('post_elements'); 
		$page_elements = frontier_option('page_elements'); 
	?>

	<?php if (( is_singular('post') && ($post_elements['author'] == 1) ) || ( is_page() && ($page_elements['author'] == 1) )) : ?><div class="entry-author"><i class="genericon genericon-user"></i><?php the_author_posts_link(); ?></div><?php endif; ?>
	<?php if (( is_singular('post') && ($post_elements['published'] == 1) ) || ( is_page() && ($page_elements['published'] == 1) )) : ?><div class="entry-date"><i class="genericon genericon-day"></i><a href="<?php the_permalink(); ?>"><?php the_time(get_option('date_format')); ?></a></div><?php endif; ?>
	<?php if ( is_singular('post') && ($post_elements['categories'] == 1) ) : ?><div class="entry-categories"><i class="genericon genericon-category"></i><?php the_category(', '); ?></div><?php endif; ?>
	<?php if (( is_singular('post') && ($post_elements['comment_info'] == 1) ) || ( is_page() && ($page_elements['comment_info'] == 1) )) : ?><div class="entry-comment-info"><i class="genericon genericon-comment"></i><a href="<?php the_permalink(); ?>#comment-area"><?php comments_number( 'Comments', '1 Comment', '% Comments' ); ?></a></div><?php endif; ?>
	<?php edit_post_link( __('Edit', 'frontier'), '<i class="genericon genericon-edit"></i>' ); ?>
</div>

<div class="entry-content">
	<?php do_action('frontier_before_post_content'); ?>

	<?php if ( is_active_sidebar('widgets_before_post_content') ) : ?><div id="widgets-wrap-before-post-content"><?php dynamic_sidebar('widgets_before_post_content'); ?></div><?php endif ; ?>

	<?php the_content(); ?>

	<?php if ( is_active_sidebar('widgets_after_post_content') ) : ?><div id="widgets-wrap-after-post-content"><?php dynamic_sidebar('widgets_after_post_content'); ?></div><?php endif ; ?>	
	
	<?php if ( is_attachment() ) : ?>
		<div class="attachment-nav">
			<div class="link-prev"><?php previous_image_link(0,__('&#8592; Previous Image', 'frontier')) ?></div>
			<div class="link-next"><?php next_image_link(0,__('Next Image &#8594;', 'frontier')) ?></div>
		</div>
	<?php endif; ?>
	
	<?php wp_link_pages( array(
		'before'           => '<div class="page-nav">' . __('<span>Pages</span>', 'frontier'),
		'after'            => '</div>',
		'link_before'      => '<span>',
		'link_after'       => '</span>',
		'next_or_number'   => 'number',
		'nextpagelink'     => __('Next page', 'frontier'),
		'previouspagelink' => __('Previous page', 'frontier'),
		'pagelink'         => '%',
		'echo'             => 1 )
		);
	?>
	<?php do_action('frontier_after_post_content'); ?>
</div>

<div class="entry-footer">
	<?php if (( is_singular('post') && ($post_elements['updated'] == 1) ) || ( is_page() && ($page_elements['updated'] == 1) )) : ?><div class="entry-updated updated"><?php _e('Updated:', 'frontier'); ?>&nbsp;<?php the_modified_date(); ?>&nbsp;&mdash;&nbsp;<?php the_modified_time(); ?></div><?php endif ; ?>
	<?php if ( is_singular('post') && ($post_elements['tags'] == 1) ) : ?><div class="entry-tags"><?php the_tags(); ?></div><?php endif ; ?>
</div>

<?php if ( is_active_sidebar('widgets_after_post') ) : ?><div id="widgets-wrap-after-post"><?php dynamic_sidebar('widgets_after_post'); ?></div><?php endif ; ?>
<?php do_action('frontier_after_post'); ?>
</article>

<?php do_action('frontier_after_single_post'); ?>

<?php if (( is_singular('post') && ($post_elements['author_box'] == 1) ) || ( is_page() && ($page_elements['author_box'] == 1) )) : ?>
	<div class="author-info-box">
		<h4 class="title"><?php _e('The Author', 'frontier'); ?></h4>
		<div class="author-info">
			<div class="author-avatar"><?php echo get_avatar( get_the_author_meta('ID'), 64 ); ?></div>
			<div class="author-description">
				<h4><?php echo get_the_author_link(); ?></h4>
				<?php echo get_the_author_meta('description') ; ?>
			</div>
		</div>
	</div>
<?php endif; ?>

<?php if ($post_elements['post_nav'] == 1) : ?>
	<?php if ( is_singular('post') || is_attachment() ) : ?>
		<div class="post-nav">
			<div class="link-prev"><?php previous_post_link('&#8592; %link'); ?></div>
			<div class="link-next"><?php next_post_link('%link &#8594;'); ?></div>
		</div>
	<?php endif; ?>
<?php endif; ?>

<?php if (( is_singular('post') && ($post_elements['comments'] == 1) ) || ( is_page() && ($page_elements['comments'] == 1) )) : ?>
	<?php do_action('frontier_before_comments'); ?>
		<div id="comment-area"><?php comments_template(); ?></div>
	<?php do_action('frontier_after_comments'); ?>
<?php endif ; ?>