<?php
function optionsframework_options() {
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}

	$logofile = get_template_directory_uri() . '/images/logo.png';
	$imagepath =  get_template_directory_uri() . '/includes/options-framework/images/';

	$options = array();

/*-------------------------------------
	Display
--------------------------------------*/
	$options[] = array('name' => __('Display', 'frontier'), 'type' => 'heading');

	$options[] = array(
		'name' => __('Favicon', 'frontier'),
		'desc' => __('Choose an icon or image to be used as a favicon. You can either upload a file or enter a url.', 'frontier'),
		'id' => 'favicon',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Top Bar', 'frontier'),
		'desc' => __('Enable the top bar.', 'frontier'),
		'id' => 'top_bar_enable',
		'std' => '1',
		'type' => 'checkbox');

	$options[] = array(
		'desc' => __('Note: the Top Menu only supports top level menu items. It will not show any sub-menus.', 'frontier'),
		'id' => 'top_bar_elements',
		'type' => 'multicheck',
		'std' => array(
			'title'			=> '1',
			'description'	=> '1',
			'top_menu'		=> '0'),
		'options' => array(			
			'title'			=> __('Site Title', 'frontier'),
			'description'	=> __('Site Description', 'frontier'),
			'top_menu'		=> __('Top Menu', 'frontier'))
		);

	$options[] = array(
		'name' => __('Header', 'frontier'),
		'desc' => __('Enable the header area.', 'frontier'),
		'id' => 'header_enable',
		'std' => '1',
		'type' => 'checkbox');

	$options[] = array(
		'id' => 'header_color',
		'desc' => __('Set the header background color.', 'frontier'),
		'std' => '#FFFFFF',
		'type' => 'color' );
		
	$options[] = array(
		'desc' => __('Set the height of the header.', 'frontier'),
		'id' => 'header_height',
		'std' => '140',
		'class' => 'mini numeric px',
		'type' => 'text');

	$options[] = array(
		'name' => __('Header Logo', 'frontier'),
		'desc' => __('Choose an image to be used for the header logo. This option is only intended for the logo. To change the background image check here: <a href=\"?page=custom-header\">Background Image</a>', 'frontier'),
		'id' => 'header_logo',
		'type' => 'upload',
		'std' => $logofile);

	$options[] = array(
		'name' => __('Main Menu', 'frontier'),
		'desc' => __('Enable the main menu below the header.', 'frontier'),
		'id' => 'main_menu_enable',
		'std' => '1',
		'type' => 'checkbox');

	$options[] = array(
		'name' => __('Main Layout', 'frontier'),
		'desc' => __('Select default content and sidebar layout. The content area is represented in blue while sidebars are in gray. Be sure to set their widths below to suit your needs.', 'frontier'),
		'id' => 'column_layout',
		'std' => 'col-cs',
		'type' => 'images',
		'options' => array(
			'col-cs' => $imagepath . 'col-cs.png',		
			'col-c' => $imagepath . 'col-c.png',
			'col-sc' => $imagepath . 'col-sc.png',
			'col-css' => $imagepath . 'col-css.png',
			'col-scs' => $imagepath . 'col-scs.png',
			'col-ssc' => $imagepath . 'col-ssc.png')
		);

	$options[] = array(
		'name' => __('Content Width', 'frontier'),
		'desc' => __('Set the width for the content area.', 'frontier'),
		'id' => 'content_width',
		'std' => '612',
		'class' => 'mini numeric px',
		'type' => 'text');

	$options[] = array(
		'name' => __('Sidebar Width - Left', 'frontier'),
		'desc' => __('Set the width for the left sidebar. Tip: <em>Add additional 28px for padding allowance.</em>', 'frontier'),
		'id' => 'sidebar_width_left',
		'std' => '280',
		'class' => 'mini numeric px',
		'type' => 'text');

	$options[] = array(
		'name' => __('Sidebar Width - Right', 'frontier'),
		'desc' => __('Set the width for the right sidebar. Tip: <em>Add additional 28px for padding allowance.</em>', 'frontier'),
		'id' => 'sidebar_width_right',
		'std' => '328',
		'class' => 'mini numeric px',
		'type' => 'text');

	$options[] = array(
		'name' => __('Footer Text', 'frontier'),
		'id' => 'bottom_bar_text',
		'std' => get_bloginfo('name') . ' &copy; ' . date('Y'),
		'type' => 'textarea');

/*-------------------------------------
	Blog
--------------------------------------*/
	$options[] = array('name' => __('Blog', 'frontier'), 'type' => 'heading');

	$options[] = array(
		'name' => __('Article Display', 'frontier'),
		'desc' => __('Select whether to show excerpts or full content.', 'frontier'),
		'id' => 'blog_display',
		'std' => 'excerpt',
		'type' => 'radio',
		'options' => array(
			'excerpt'	=> 'Excerpt',
			'full' 		=> 'Full')
		);

	$options[] = array(
		'name' => __('Article Elements', 'frontier'),
		'desc' => __('Select elements to display when posts are displayed on blog view. Note: Thumbnail uses the featured image that is set on each post.', 'frontier'),
		'id' => 'blog_elements',
		'type' => 'multicheck',
		'std' => array(
			'thumbnail'		=> '1',
			'published'		=> '1',
			'author'		=> '1',
			'categories'	=> '1',
			'comment_info'	=> '1',
			'updated'		=> '0',
			'tags'			=> '0'),
		'options' => array(
			'thumbnail'		=> __('Thumbnail (Only on Excerpts)', 'frontier'),
			'published'		=> __('Byline Date Published', 'frontier'),
			'author'		=> __('Byline Author', 'frontier'),
			'categories'	=> __('Byline Categories', 'frontier'),
			'comment_info'	=> __('Byline Comment Info', 'frontier'),
			'updated'		=> __('Date Updated (Only on Full View)', 'frontier'),
			'tags'			=> __('Tags (Only on Full View)', 'frontier'))
		);

/*-------------------------------------
	Posts & Pages
--------------------------------------*/
	$options[] = array('name' => __('Posts & Pages', 'frontier'), 'type' => 'heading');

	$options[] = array(
		'name' => __('Post Elements', 'frontier'),
		'id' => 'post_elements',
		'type' => 'multicheck',
		'std' => array(
			'published'		=> '1',
			'author'		=> '1',
			'categories'	=> '1',
			'comment_info'	=> '1',
			'updated'		=> '1',
			'tags'			=> '1',
			'author_box'	=> '0',
			'post_nav'		=> '1',
			'comments'		=> '1'),
		'options' => array(			
			'published'		=> __('Byline Date Published', 'frontier'),
			'author'		=> __('Byline Author', 'frontier'),
			'categories'	=> __('Byline Categories', 'frontier'),
			'comment_info'	=> __('Byline Comment Info', 'frontier'),
			'updated'		=> __('Show Date Updated', 'frontier'),
			'tags'			=> __('Show Tags', 'frontier'),
			'author_box'	=> __('Show Author Box', 'frontier'),
			'post_nav'		=> __('Show Post Navigation', 'frontier'),
			'comments'		=> __('Enable Comments', 'frontier'))
		);

	$options[] = array(
		'name' => __('Page Elements', 'frontier'),
		'id' => 'page_elements',
		'type' => 'multicheck',
		'std' => array(
			'published'		=> '0',
			'author'		=> '0',
			'comment_info'	=> '0',
			'updated'		=> '0',
			'author_box'	=> '0',
			'comments'		=> '0'),
		'options' => array(			
			'published'		=> __('Byline Date Published', 'frontier'),
			'author'		=> __('Byline Author', 'frontier'),
			'comment_info'	=> __('Byline Comment Info', 'frontier'),
			'updated'		=> __('Show Date Updated', 'frontier'),
			'author_box'	=> __('Show Author Box', 'frontier'),
			'comments'		=> __('Enable Comments', 'frontier'))
		);

/*-------------------------------------
	Slider
--------------------------------------*/
	$options[] = array('name' => __('Slider', 'frontier'), 'type' => 'heading');

	$options[] = array(
		'name' => __('Enable Slider', 'frontier'),
		'desc' => __('Check box to enable slider functionality.', 'frontier'),
		'id' => 'slider_enable',
		'std' => '0',
		'type' => 'checkbox');

	if ( $options_categories ) {
		$options[] = array(
			'name' => __('Slider Categories', 'frontier'),
			'desc' => __('Select the categories to show on slider. You can select or deselect items by holding down the CTRL key while clicking. Creating a category specifically for use on the slider may be ideal.', 'frontier'),
			'id' => 'slider_categories',
			'type' => 'multiselect',
			'options' => $options_categories); 
	}

	$options[] = array(
		'name' => __('Slider Position', 'frontier'),
		'desc' => __('Select where to position the slider. The slider expands to full width when positioned below the menu and is normal size when positioned before the content.', 'frontier'),
		'id' => 'slider_position',
		'std' => 'before_content',
		'type' => 'radio',
		'options' => array(
			'before_main' 	 => __('Below Menu', 'frontier'),
			'before_content' => __('Before Content', 'frontier'))
		);

	$options[] = array(
		'name' => __('Slider Image Style', 'frontier'),
		'id' => 'slider_stretch',
		'std' => 'stretch',
		'type' => 'radio',
		'options' => array(
			'stretch'	=> __('Stretch Image to fit Slider.', 'frontier'),
			'no_stretch'=> __('Don\'t Stretch. Center the Image.', 'frontier'))
		);

	$options[] = array(
		'name' => __('Slider Elements', 'frontier'),
		'id' => 'slider_elements',
		'type' => 'multicheck',
		'std' => array(
			'title'	=> '1',
			'text'	=> '1',
			'nav'	=> '1'),
		'options' => array(			
			'title'	=> __('Show Post Title', 'frontier'),
			'text'	=> __('Show Post Text', 'frontier'),
			'nav'	=> __('Show Nav Buttons', 'frontier'))
		);
		
	$options[] = array(
		'name' => __('Slider Height', 'frontier'),
		'id' => 'slider_height',
		'std' => '340',
		'class' => 'mini numeric px',
		'type' => 'text');

	$options[] = array(
		'name' => __('Slider Delay', 'frontier'),
		'desc' => __('How many milliseconds before switching to the next slide.', 'frontier'),
		'id' => 'slider_delay',
		'std' => '5000',
		'class' => 'mini numeric',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slider Transition', 'frontier'),
		'desc' => __('How many milliseconds should the slide transition take.', 'frontier'),
		'id' => 'slider_transition',
		'std' => '500',
		'class' => 'mini numeric',
		'type' => 'text');

/*-------------------------------------
	CSS
--------------------------------------*/
	$options[] = array('name' => 'CSS', 'type' => 'heading');
	
	$options[] = array(
		'name' => __('Custom CSS', 'frontier'),
		'id' => 'custom_css',
		'type' => 'textarea',
		'class'	=> 'css');

/*-------------------------------------
	Misc
--------------------------------------*/
	$options[] = array('name' => __('Misc', 'frontier'), 'type' => 'heading');

	$options[] = array(
		'name' => __('Disable Editor Style', 'frontier'),
		'desc' => __('Remove any custom styles applied to the post visual editor (e.g. Post Editor Width)', 'frontier'),
		'id' => 'editor_style_disable',
		'std' => '0',
		'type' => 'checkbox');

	$options[] = array(
		'name' => __('Custom Head Codes', 'frontier'),
		'id' => 'head_codes',
		'type' => 'textarea');

	$options[] = array(
		'name' => __('Custom Footer Codes', 'frontier'),
		'id' => 'footer_codes',
		'type' => 'textarea');		


	return $options;
}